#
# Conditional build:
%bcond_with	tests	# perform "make test" (interactive)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	PAM
Summary:	Authen::PAM - Perl interface to PAM library
Summary(pl.UTF-8):	Authen::PAM - interfejs perlowy do biblioteki PAM
Name:		perl-Authen-PAM
Version:	0.16
Release:	20
# same as perl
License:	GPL v1+ or Artistic
Vendor:		Nikolay Pelov <pelov@cs.kuleuven.ac.be>
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7278471dfa694d9ef312bc92d7099af2
Patch0:		no-dot-in-INC.patch
URL:		http://www.cs.kuleuven.ac.be/~pelov/pam/
BuildRequires:	pam-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::PAM module provides a Perl interface to the PAM library.

%description -l pl.UTF-8
Moduł Authen::PAM umożliwia dostęp z Perla do biblioteki PAM.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/*.pm
%dir %{perl_vendorarch}/auto/Authen/PAM
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/PAM/PAM.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Authen-PAM.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b0c73b3
- rebuild with perl 5.30.0
- release 20 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 20f0307
- rebuild with perl 5.28.0
- release 19 (by relup.sh)

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> 90b8ef2
- perl 5.26 build fix
- rel 18

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9decd1a
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cf2f6c0
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5377c57
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2dcbc8e
- release 14 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b892f4e
- x32 rebuild
- release 13 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6d41f72
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 637cecd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 03f37ea
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 10c8095
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> dfb276d
- rel 9

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 453e96b
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fb8824d
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c78b81d
- release 4

* Sat Apr 26 2008 tommat <tommat@pld-linux.org> a8b6c0b
- rel 3, STBR please
- rebuild fixes symbol lookup error: /usr/lib/perl5/vendor_perl/5.10.0/i686-pld-linux-thread-multi/auto/Authen/PAM/PAM.so: undefined symbol: Perl_pad_sv

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d61d64
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f3ed2e1
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 91f04ab
- tabs in preamble

